Package org.gradle.api.artifacts

# Interface DependencyArtifactSelector

public interface DependencyArtifactSelector
Details about an artifact selection in the context of a dependency substitution. Artifact selections are handy as a migration path from the Maven or Ivy ecosystem, where different "variants" are actually represented as different artifacts, with specific (type, extension, classifier) sub-coordinates, in addition to the GAV (group, artifact, version) coordinates. It is preferable to use component metadata rules to properly describe the variants of a module, so this variant selector should only be used when defining such rules is not possible or too complex for the use case.

Since:
  6.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getClassifier()`
  Returns the classifier of the artifact to select.
  `@Nullable String`
  `getExtension()`
  Returns the extension of the artifact to select.
  `String`
  `getType()`
  Returns the type of the artifact to select

- ## Method Details

  - ### getType

    String getType()
    Returns the type of the artifact to select

  - ### getExtension

    @Nullable String getExtension()
    Returns the extension of the artifact to select. If it returns null, it will fallback to jar.

  - ### getClassifier

    @Nullable String getClassifier()
    Returns the classifier of the artifact to select.